Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Interface PrivilegedExceptionAction<T>

    public interface PrivilegedExceptionAction<T>

A computation to be performed with privileges enabled, that throws one or more checked exceptions. The computation is performed by invoking `AccessController.doPrivileged` on the `PrivilegedExceptionAction` object. This interface is used only for computations that throw checked exceptions; computations that do not throw checked exceptions should use `PrivilegedAction` instead.

See Also:
  `AccessController`, `AccessController.doPrivileged(PrivilegedExceptionAction)`, `AccessController.doPrivileged(PrivilegedExceptionAction, AccessControlContext)`, `PrivilegedAction`

Method Summary
`T` | `run()` Performs the computation.

Method Detail

### run

    T run()
          throws Exception

  Performs the computation. This method will be called by `AccessController.doPrivileged` after enabling privileges.

  Returns:
    a class-dependent value that may represent the results of the computation. Each class that implements `PrivilegedExceptionAction` should document what (if anything) this value represents.
  Throws:
    `Exception` - an exceptional condition has occurred. Each class that implements `PrivilegedExceptionAction` should document the exceptions that its run method can throw.
  See Also:
    `AccessController.doPrivileged(PrivilegedExceptionAction)`, `AccessController.doPrivileged(PrivilegedExceptionAction,AccessControlContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.